Package com.ocient.jdbc.proto

# Class ClientWireProtocol.ClientConnectionSecurityToken

java.lang.Object
com.google.protobuf.AbstractMessageLite
com.google.protobuf.AbstractMessage
com.google.protobuf.GeneratedMessageV3
com.ocient.jdbc.proto.ClientWireProtocol.ClientConnectionSecurityToken

All Implemented Interfaces:
  `com.google.protobuf.Message`, `com.google.protobuf.MessageLite`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`, `Serializable`

Enclosing class:
  `ClientWireProtocol`

public static final class ClientWireProtocol.ClientConnectionSecurityToken extends com.google.protobuf.GeneratedMessageV3 implements ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder
Protobuf type `xg.cmdcomp.ClientConnectionSecurityToken`

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`ClientWireProtocol.ClientConnectionSecurityToken.Builder`
Protobuf type `xg.cmdcomp.ClientConnectionSecurityToken`

## Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

`com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>,BuilderT extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageT,BuilderT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageT extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageT>>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable, com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter`

## Nested classes/interfaces inherited from class com.google.protobuf.AbstractMessageLite

`com.google.protobuf.AbstractMessageLite.InternalOneOfEnum`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CLIENTID_FIELD_NUMBER`
`static final int`
`DATABASE_FIELD_NUMBER`
`static final int`
`FORCE_FIELD_NUMBER`
`static final int`
`ISSUERFINGERPRINT_FIELD_NUMBER`
`static final int`
`MAJORCLIENTVERSION_FIELD_NUMBER`
`static final int`
`MINORCLIENTVERSION_FIELD_NUMBER`
`static final int`
`PATCHCLIENTVERSION_FIELD_NUMBER`
`static final int`
`SECURITYTOKEN_FIELD_NUMBER`
`static final int`
`SESSIONID_FIELD_NUMBER`
`static final int`
`SUPPORTSSORTEDPARALLELTCPSTREAMS_FIELD_NUMBER`
`static final int`
`TOKENSIGNATURE_FIELD_NUMBER`
`static final int`
`VERSION_FIELD_NUMBER`

### Fields inherited from class com.google.protobuf.GeneratedMessageV3

`alwaysUseFieldBuilders, unknownFields`

### Fields inherited from class com.google.protobuf.AbstractMessage

`memoizedSize`

### Fields inherited from class com.google.protobuf.AbstractMessageLite

`memoizedHashCode`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`String`
`getClientid()`
`string clientid = 2;`
`com.google.protobuf.ByteString`
`getClientidBytes()`
`string clientid = 2;`
`String`
`getDatabase()`
`string database = 1;`
`com.google.protobuf.ByteString`
`getDatabaseBytes()`
`string database = 1;`
`static ClientWireProtocol.ClientConnectionSecurityToken`
`getDefaultInstance()`
`ClientWireProtocol.ClientConnectionSecurityToken`
`getDefaultInstanceForType()`
`static final com.google.protobuf.Descriptors.Descriptor`
`getDescriptor()`
`boolean`
`getForce()`
`bool force = 10;`
`String`
`getIssuerFingerprint()`
`string issuerFingerprint = 9;`
`com.google.protobuf.ByteString`
`getIssuerFingerprintBytes()`
`string issuerFingerprint = 9;`
`int`
`getMajorClientVersion()`
`int32 majorClientVersion = 4;`
`int`
`getMinorClientVersion()`
`int32 minorClientVersion = 5;`
`com.google.protobuf.Parser<ClientWireProtocol.ClientConnectionSecurityToken>`
`getParserForType()`
`String`
`getPatchClientVersion()`
note the out of order field numbering
`com.google.protobuf.ByteString`
`getPatchClientVersionBytes()`
note the out of order field numbering
`String`
`getSecurityToken()`
`string securityToken = 7;`
`com.google.protobuf.ByteString`
`getSecurityTokenBytes()`
`string securityToken = 7;`
`int`
`getSerializedSize()`
`String`
`getSessionID()`
`string sessionID = 6;`
`com.google.protobuf.ByteString`
`getSessionIDBytes()`
`string sessionID = 6;`
`boolean`
`getSupportsSortedParallelTCPStreams()`
True if the client supports parallel
`String`
`getTokenSignature()`
`string tokenSignature = 8;`
`com.google.protobuf.ByteString`
`getTokenSignatureBytes()`
`string tokenSignature = 8;`
`String`
`getVersion()`
`string version = 3;`
`com.google.protobuf.ByteString`
`getVersionBytes()`
`string version = 3;`
`int`
`hashCode()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
`final boolean`
`isInitialized()`
`static ClientWireProtocol.ClientConnectionSecurityToken.Builder`
`newBuilder()`
`static ClientWireProtocol.ClientConnectionSecurityToken.Builder`
`newBuilder(ClientWireProtocol.ClientConnectionSecurityToken prototype)`
`ClientWireProtocol.ClientConnectionSecurityToken.Builder`
`newBuilderForType()`
`protected ClientWireProtocol.ClientConnectionSecurityToken.Builder`
`newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
`protected Object`
`newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)`
`static ClientWireProtocol.ClientConnectionSecurityToken`
`parseDelimitedFrom(InputStream input)`
`static ClientWireProtocol.ClientConnectionSecurityToken`
`parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ClientConnectionSecurityToken`
`parseFrom(byte[] data)`
`static ClientWireProtocol.ClientConnectionSecurityToken`
`parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ClientConnectionSecurityToken`
`parseFrom(com.google.protobuf.ByteString data)`
`static ClientWireProtocol.ClientConnectionSecurityToken`
`parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ClientConnectionSecurityToken`
`parseFrom(com.google.protobuf.CodedInputStream input)`
`static ClientWireProtocol.ClientConnectionSecurityToken`
`parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ClientConnectionSecurityToken`
`parseFrom(InputStream input)`
`static ClientWireProtocol.ClientConnectionSecurityToken`
`parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static ClientWireProtocol.ClientConnectionSecurityToken`
`parseFrom(ByteBuffer data)`
`static ClientWireProtocol.ClientConnectionSecurityToken`
`parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`static com.google.protobuf.Parser<ClientWireProtocol.ClientConnectionSecurityToken>`
`parser()`
`ClientWireProtocol.ClientConnectionSecurityToken.Builder`
`toBuilder()`
`void`
`writeTo(com.google.protobuf.CodedOutputStream output)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3

`canUseUnsafe, computeStringSize, computeStringSizeNoTag, emptyBooleanList, emptyDoubleList, emptyFloatList, emptyIntList, emptyLongList, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, isStringEmpty, makeExtensionsImmutable, makeMutableCopy, mergeFromAndMakeImmutableInternal, mutableCopy, mutableCopy, mutableCopy, mutableCopy, mutableCopy, newBooleanList, newBuilderForType, newDoubleList, newFloatList, newIntList, newLongList, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

### Methods inherited from class com.google.protobuf.AbstractMessage

`findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite

`addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite

`toByteArray, toByteString, writeDelimitedTo, writeTo`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Field Details

### DATABASE_FIELD_NUMBER

public static final int DATABASE_FIELD_NUMBER

See Also:
  - Constant Field Values

### CLIENTID_FIELD_NUMBER

public static final int CLIENTID_FIELD_NUMBER

See Also:
  - Constant Field Values

### VERSION_FIELD_NUMBER

public static final int VERSION_FIELD_NUMBER

See Also:
  - Constant Field Values

### MAJORCLIENTVERSION_FIELD_NUMBER

public static final int MAJORCLIENTVERSION_FIELD_NUMBER

See Also:
  - Constant Field Values

### MINORCLIENTVERSION_FIELD_NUMBER

public static final int MINORCLIENTVERSION_FIELD_NUMBER

See Also:
  - Constant Field Values

### PATCHCLIENTVERSION_FIELD_NUMBER

public static final int PATCHCLIENTVERSION_FIELD_NUMBER

See Also:
  - Constant Field Values

### SESSIONID_FIELD_NUMBER

public static final int SESSIONID_FIELD_NUMBER

See Also:
  - Constant Field Values

### SECURITYTOKEN_FIELD_NUMBER

public static final int SECURITYTOKEN_FIELD_NUMBER

See Also:
  - Constant Field Values

### TOKENSIGNATURE_FIELD_NUMBER

public static final int TOKENSIGNATURE_FIELD_NUMBER

See Also:
  - Constant Field Values

### ISSUERFINGERPRINT_FIELD_NUMBER

public static final int ISSUERFINGERPRINT_FIELD_NUMBER

See Also:
  - Constant Field Values

### FORCE_FIELD_NUMBER

public static final int FORCE_FIELD_NUMBER

See Also:
  - Constant Field Values

### SUPPORTSSORTEDPARALLELTCPSTREAMS_FIELD_NUMBER

public static final int SUPPORTSSORTEDPARALLELTCPSTREAMS_FIELD_NUMBER

See Also:
  - Constant Field Values

## Method Details

### newInstance

protected Object newInstance(com.google.protobuf.GeneratedMessageV3.UnusedPrivateParameter unused)

Overrides:
  `newInstance` in class `com.google.protobuf.GeneratedMessageV3`

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

### getDatabase

public String getDatabase()
`string database = 1;`

Specified by:
  `getDatabase` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The database.

### getDatabaseBytes

public com.google.protobuf.ByteString getDatabaseBytes()
`string database = 1;`

Specified by:
  `getDatabaseBytes` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The bytes for database.

### getClientid

public String getClientid()
`string clientid = 2;`

Specified by:
  `getClientid` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The clientid.

### getClientidBytes

public com.google.protobuf.ByteString getClientidBytes()
`string clientid = 2;`

Specified by:
  `getClientidBytes` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The bytes for clientid.

### getVersion

public String getVersion()
`string version = 3;`

Specified by:
  `getVersion` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The version.

### getVersionBytes

public com.google.protobuf.ByteString getVersionBytes()
`string version = 3;`

Specified by:
  `getVersionBytes` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The bytes for version.

### getMajorClientVersion

public int getMajorClientVersion()
`int32 majorClientVersion = 4;`

Specified by:
  `getMajorClientVersion` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The majorClientVersion.

### getMinorClientVersion

public int getMinorClientVersion()
`int32 minorClientVersion = 5;`

Specified by:
  `getMinorClientVersion` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The minorClientVersion.

### getPatchClientVersion

public String getPatchClientVersion()

     note the out of order field numbering

`string patchClientVersion = 11;`

Specified by:
  `getPatchClientVersion` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The patchClientVersion.

### getPatchClientVersionBytes

public com.google.protobuf.ByteString getPatchClientVersionBytes()

     note the out of order field numbering

`string patchClientVersion = 11;`

Specified by:
  `getPatchClientVersionBytes` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The bytes for patchClientVersion.

### getSessionID

public String getSessionID()
`string sessionID = 6;`

Specified by:
  `getSessionID` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The sessionID.

### getSessionIDBytes

public com.google.protobuf.ByteString getSessionIDBytes()
`string sessionID = 6;`

Specified by:
  `getSessionIDBytes` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The bytes for sessionID.

### getSecurityToken

public String getSecurityToken()
`string securityToken = 7;`

Specified by:
  `getSecurityToken` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The securityToken.

### getSecurityTokenBytes

public com.google.protobuf.ByteString getSecurityTokenBytes()
`string securityToken = 7;`

Specified by:
  `getSecurityTokenBytes` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The bytes for securityToken.

### getTokenSignature

public String getTokenSignature()
`string tokenSignature = 8;`

Specified by:
  `getTokenSignature` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The tokenSignature.

### getTokenSignatureBytes

public com.google.protobuf.ByteString getTokenSignatureBytes()
`string tokenSignature = 8;`

Specified by:
  `getTokenSignatureBytes` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The bytes for tokenSignature.

### getIssuerFingerprint

public String getIssuerFingerprint()
`string issuerFingerprint = 9;`

Specified by:
  `getIssuerFingerprint` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The issuerFingerprint.

### getIssuerFingerprintBytes

public com.google.protobuf.ByteString getIssuerFingerprintBytes()
`string issuerFingerprint = 9;`

Specified by:
  `getIssuerFingerprintBytes` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The bytes for issuerFingerprint.

### getForce

public boolean getForce()
`bool force = 10;`

Specified by:
  `getForce` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The force.

### getSupportsSortedParallelTCPStreams

public boolean getSupportsSortedParallelTCPStreams()

     True if the client supports parallel

`bool supportsSortedParallelTCPStreams = 12;`

Specified by:
  `getSupportsSortedParallelTCPStreams` in interface `ClientWireProtocol.ClientConnectionSecurityTokenOrBuilder`
Returns:
  The supportsSortedParallelTCPStreams.

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

### writeTo

public void writeTo(com.google.protobuf.CodedOutputStream output) throws IOException

Specified by:
  `writeTo` in interface `com.google.protobuf.MessageLite`
Overrides:
  `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
Throws:
  `IOException`

### getSerializedSize

public int getSerializedSize()

Specified by:
  `getSerializedSize` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

### equals

public boolean equals(Object obj)

Specified by:
  `equals` in interface `com.google.protobuf.Message`
Overrides:
  `equals` in class `com.google.protobuf.AbstractMessage`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `com.google.protobuf.Message`
Overrides:
  `hashCode` in class `com.google.protobuf.AbstractMessage`

### parseFrom

public static ClientWireProtocol.ClientConnectionSecurityToken parseFrom(ByteBuffer data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ClientConnectionSecurityToken parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ClientConnectionSecurityToken parseFrom(com.google.protobuf.ByteString data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ClientConnectionSecurityToken parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ClientConnectionSecurityToken parseFrom(byte[] data) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ClientConnectionSecurityToken parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws com.google.protobuf.InvalidProtocolBufferException

Throws:
  `com.google.protobuf.InvalidProtocolBufferException`

### parseFrom

public static ClientWireProtocol.ClientConnectionSecurityToken parseFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ClientConnectionSecurityToken parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.ClientConnectionSecurityToken parseDelimitedFrom(InputStream input) throws IOException

Throws:
  `IOException`

### parseDelimitedFrom

public static ClientWireProtocol.ClientConnectionSecurityToken parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ClientConnectionSecurityToken parseFrom(com.google.protobuf.CodedInputStream input) throws IOException

Throws:
  `IOException`

### parseFrom

public static ClientWireProtocol.ClientConnectionSecurityToken parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Throws:
  `IOException`

### newBuilderForType

public ClientWireProtocol.ClientConnectionSecurityToken.Builder newBuilderForType()

Specified by:
  `newBuilderForType` in interface `com.google.protobuf.Message`
Specified by:
  `newBuilderForType` in interface `com.google.protobuf.MessageLite`

### newBuilder

public static ClientWireProtocol.ClientConnectionSecurityToken.Builder newBuilder()

### newBuilder

public static ClientWireProtocol.ClientConnectionSecurityToken.Builder newBuilder(ClientWireProtocol.ClientConnectionSecurityToken prototype)

### toBuilder

public ClientWireProtocol.ClientConnectionSecurityToken.Builder toBuilder()

Specified by:
  `toBuilder` in interface `com.google.protobuf.Message`
Specified by:
  `toBuilder` in interface `com.google.protobuf.MessageLite`

### newBuilderForType

protected ClientWireProtocol.ClientConnectionSecurityToken.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

Specified by:
  `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstance

public static ClientWireProtocol.ClientConnectionSecurityToken getDefaultInstance()

### parser

public static com.google.protobuf.Parser<ClientWireProtocol.ClientConnectionSecurityToken> parser()

### getParserForType

public com.google.protobuf.Parser<ClientWireProtocol.ClientConnectionSecurityToken> getParserForType()

Specified by:
  `getParserForType` in interface `com.google.protobuf.Message`
Specified by:
  `getParserForType` in interface `com.google.protobuf.MessageLite`
Overrides:
  `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

### getDefaultInstanceForType

public ClientWireProtocol.ClientConnectionSecurityToken getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`